Package org.lwjgl.opengles

# Class EXTDiscardFramebuffer

java.lang.Object
org.lwjgl.opengles.EXTDiscardFramebuffer

public final class EXTDiscardFramebuffer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COLOR_EXT`
Accepted in the <attachments> parameter of DiscardFramebufferEXT when the default framebuffer is bound to <target>:
`static final int`
`GL_DEPTH_EXT`
Accepted in the <attachments> parameter of DiscardFramebufferEXT when the default framebuffer is bound to <target>:
`static final int`
`GL_STENCIL_EXT`
Accepted in the <attachments> parameter of DiscardFramebufferEXT when the default framebuffer is bound to <target>:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDiscardFramebufferEXT(int target, IntBuffer attachments)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COLOR_EXT

public static final int GL_COLOR_EXT
Accepted in the <attachments> parameter of DiscardFramebufferEXT when the default framebuffer is bound to <target>:

See Also:
  - Constant Field Values

### GL_DEPTH_EXT

public static final int GL_DEPTH_EXT
Accepted in the <attachments> parameter of DiscardFramebufferEXT when the default framebuffer is bound to <target>:

See Also:
  - Constant Field Values

### GL_STENCIL_EXT

public static final int GL_STENCIL_EXT
Accepted in the <attachments> parameter of DiscardFramebufferEXT when the default framebuffer is bound to <target>:

See Also:
  - Constant Field Values

## Method Details

### glDiscardFramebufferEXT

public static void glDiscardFramebufferEXT(int target, IntBuffer attachments)